From 2c9d46a60bd8d35f132cb106e5255d590b13640b Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Tue, 17 Apr 2018 23:03:56 +0200
Subject: [PATCH] Fix build with Qt 5.11_beta3 (dropping qt5_use_modules)

---
 apps/launcher/CMakeLists.txt | 2 +-
 apps/opencs/CMakeLists.txt   | 2 +-
 apps/wizard/CMakeLists.txt   | 2 +-
 components/CMakeLists.txt    | 2 +-
 extern/osgQt/CMakeLists.txt  | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/apps/launcher/CMakeLists.txt b/apps/launcher/CMakeLists.txt
index aec8c2533..99e7b4daa 100644
--- a/apps/launcher/CMakeLists.txt
+++ b/apps/launcher/CMakeLists.txt
@@ -106,7 +106,7 @@ if (DESIRED_QT_VERSION MATCHES 4)
         target_link_libraries(openmw-launcher ${QT_QTMAIN_LIBRARY})
     endif(WIN32)
 else()
-    qt5_use_modules(openmw-launcher Widgets Core)
+    target_link_libraries(openmw-launcher Qt5::Widgets Qt5::Core)
 endif()
 
 if (BUILD_WITH_CODE_COVERAGE)
diff --git a/apps/opencs/CMakeLists.txt b/apps/opencs/CMakeLists.txt
index b9279bf91..f07b518a9 100644
--- a/apps/opencs/CMakeLists.txt
+++ b/apps/opencs/CMakeLists.txt
@@ -246,7 +246,7 @@ if (DESIRED_QT_VERSION MATCHES 4)
         target_link_libraries(openmw-cs ${QT_QTMAIN_LIBRARY})
     endif()
 else()
-    qt5_use_modules(openmw-cs Widgets Core Network OpenGL)
+    target_link_libraries(openmw-cs Qt5::Widgets Qt5::Core Qt5::Network Qt5::OpenGL)
 endif()
 
 if (WIN32)
diff --git a/apps/wizard/CMakeLists.txt b/apps/wizard/CMakeLists.txt
index 5f7338e52..8d97bbcbf 100644
--- a/apps/wizard/CMakeLists.txt
+++ b/apps/wizard/CMakeLists.txt
@@ -118,7 +118,7 @@ if (DESIRED_QT_VERSION MATCHES 4)
         target_link_libraries(openmw-wizard ${QT_QTMAIN_LIBRARY})
     endif()
 else()
-    qt5_use_modules(openmw-wizard Widgets Core)
+    target_link_libraries(openmw-wizard Qt5::Widgets Qt5::Core)
 endif()
 
 if (OPENMW_USE_UNSHIELD)
diff --git a/components/CMakeLists.txt b/components/CMakeLists.txt
index 8256f1443..ecb844a9b 100644
--- a/components/CMakeLists.txt
+++ b/components/CMakeLists.txt
@@ -216,7 +216,7 @@ if (USE_QT)
         ${QT_QTCORE_LIBRARY}
         ${QT_QTGUI_LIBRARY})
     else()
-        qt5_use_modules(components Widgets Core)
+        target_link_libraries(components Qt5::Widgets Qt5::Core)
     endif()
 endif()
 
diff --git a/extern/osgQt/CMakeLists.txt b/extern/osgQt/CMakeLists.txt
index 3bd08a390..78a4e6034 100644
--- a/extern/osgQt/CMakeLists.txt
+++ b/extern/osgQt/CMakeLists.txt
@@ -12,7 +12,7 @@ if (DESIRED_QT_VERSION MATCHES 4)
     include(${QT_USE_FILE})
     target_link_libraries(${OSGQT_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTOPENGL_LIBRARY})
 else()
-    qt5_use_modules(${OSGQT_LIBRARY} Core OpenGL)
+    target_link_libraries(${OSGQT_LIBRARY} Qt5::Core Qt5::OpenGL)
 endif()
 
 link_directories(${CMAKE_CURRENT_BINARY_DIR})
-- 
2.17.0

